Subject: Question: Two txt file difference to a new txt file?
From: H0PE <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Fri, 6 Mar 2015 18:28:24 +0000 (UTC)
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi guys,

 
I'm having hard timewith diffutils and I need your help. What I've done is:

-I've created a regsnapshot before installing an app (with regedit's export function from the fullregistry)

-After installing theapp I've taken another snapshot from the registry (same way as above)

 
What I would like to dois to put the new information (difference) from the second.reg file to anotherfile with diffutils.

 
So far I've figured thisout to get the cleanest way:

 
diff -n -a before.txtafter.txt >diff.txt

 
I've renamed the two regfile to txt but I doubt this would matter.

 
But my problem when Iopen diff.txt is this:

Quote from diff.txt:

"3424a3425,3429

>  [ H K E Y _ L O C A L _ M A C H I N E\ S O F T W A R E \ C l a s s e s \ * \ s h e l l e x \ C o n t e x t M e n u Ha n d l e r s \ D e s k t o p D o c k S h e l l E x t ] 

>  

>  [ H K E Y _ L O C A L _ M A C H I N E\ S O F T W A R E \ C l a s s e s \ * \ s h e l l e x \ C o n t e x t M e n u Ha n d l e r s \ F e n c e s S h e l l E x t ] 

>  @ = " { 1 9 8 4 D D 4 5 - 5 2 CF - 4 9 c d - A B 7 7 - 1 8 F 3 7 8 F E A 2 6 4 } " 

>  

15782a15788,15799

>  [ H K E Y _ L O C A L _ M A C H I N E\ S O F T W A R E \ C l a s s e s \ C L S I D \ { 1 9 8 4 D D 4 5 - 5 2 C F - 49 c d - A B 7 7 - 1 8 F 3 7 8 F E A 2 6 4 } ] 

>  @ = " F e n c e s S h l E x t  C l a s s " 

>  " D i s a b l e P r o c e s s Is o l a t i o n " = d w o r d : 0 0 0 0 0 0 0 1 

>  " L o c a l i z e d S t r i n g" = " F e n c e s " 

>  

>  [ H K E Y _ L O C A L _ M A C H I N E\ S O F T W A R E \ C l a s s e s \ C L S I D \ { 1 9 8 4 D D 4 5 - 5 2 C F - 49 c d - A B 7 7 - 1 8 F 3 7 8 F E A 2 6 4 } \ D e f a u l t I c o n ] 

>  @ = " C : \ \ P r o g r a m  F i l e s \ \ S t a r d o c k \ \ F e n c e s \ \ F e n c e s M e n u .d l l , 0 " 

>  

>  [ H K E Y _ L O C A L _ M A C H I N E\ S O F T W A R E \ C l a s s e s \ C L S I D \ { 1 9 8 4 D D 4 5 - 5 2 C F - 49 c d - A B 7 7 - 1 8 F 3 7 8 F E A 2 6 4 } \ I n p r o c S e r v e r 3 2] 

>  @ = " C : \ \ P r o g r a m  F i l e s \ \ S t a r d o c k \ \ F e n c e s \ \ F e n c e s M e n u .d l l " 

>  " T h r e a d i n g M o d e l" = " A p a r t m e n t " 

>  

 "

 
Issues I got -and Ican't figure out-:

1.)How to get rid ofthe >  characters from the beginning -so diffutil wouldn't evenwrite it to there in the first place-?

2.)I dont want toinclude diffutil difference notes to the file (e.g.: 3424a3425,3429)

3.)Why diffutil addspaces after every damn character? I can't figure out how to get rid of this-so diffutil wouldn't add a space after every character-

 
What I really need is totake the difference, put it in a new file, without changing anything, so I canuse that information later through a reg file (delete, add, whatever)?

 
Waiting for youranswers,

H0PE